com.fasterxml.jackson.dataformat.yaml.snakeyaml.error

## Class Mark

- java.lang.Object
- - com.fasterxml.jackson.dataformat.yaml.snakeyaml.error.Mark

- Deprecated.
  Should use basic `JsonLocation` instead

      @Deprecated
      public class Mark
      extends Object

  Placeholder for shaded `org.yaml.snakeyaml.error.Mark`
  Since:
    2.8 (as non-shaded); earlier shaded in

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.yaml.snakeyaml.error.Mark` | `_source` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Mark(org.yaml.snakeyaml.error.Mark src)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mark` | `from(org.yaml.snakeyaml.error.Mark src)` Deprecated.
    `String` | `get_snippet()` Deprecated.
    `String` | `get_snippet(int indent, int max_length)` Deprecated.
    `int` | `getColumn()` Deprecated.
    `int` | `getIndex()` Deprecated.
    `int` | `getLine()` Deprecated.
    `String` | `getName()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _source

          protected final org.yaml.snakeyaml.error.Mark _source

      Deprecated.

  - ### Constructor Detail

    - #### Mark

          protected Mark(org.yaml.snakeyaml.error.Mark src)

      Deprecated.

  - ### Method Detail

    - #### from

          public static Mark from(org.yaml.snakeyaml.error.Mark src)

      Deprecated.

    - #### getName

          public String getName()

      Deprecated.

    - #### get_snippet

          public String get_snippet()

      Deprecated.

    - #### get_snippet

          public String get_snippet(int indent,
                           int max_length)

      Deprecated.

    - #### getColumn

          public int getColumn()

      Deprecated.

    - #### getLine

          public int getLine()

      Deprecated.

    - #### getIndex

          public int getIndex()

      Deprecated.

Copyright © 2017 FasterXML. All rights reserved.